<?php
/**
 * 2007-2020 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author PrestaShop SA <contact@prestashop.com>
 *  @copyright  2007-2020 PrestaShop SA
 *  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

$queries = array();

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_message_inbounds (id INT AUTO_INCREMENT NOT NULL, message_id INT DEFAULT NULL, text LONGTEXT NOT NULL, sent_at DATETIME DEFAULT NULL, INDEX IDX_CEBA6A1C537A1329 (message_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_messages (id INT AUTO_INCREMENT NOT NULL, order_id INT NOT NULL, text VARCHAR(1200) NOT NULL, status VARCHAR(255) NOT NULL, channel VARCHAR(10) DEFAULT NULL, price NUMERIC(10, 4) NOT NULL, provider_id VARCHAR(64) DEFAULT NULL, fallback_id VARCHAR(64) DEFAULT NULL, created_at DATETIME DEFAULT NULL, type VARCHAR(255) DEFAULT NULL, delivery_type VARCHAR(6) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_rules (id INT AUTO_INCREMENT NOT NULL, fallback TINYINT(1) NOT NULL, type VARCHAR(25) NOT NULL, order_status INT DEFAULT NULL, delivery_type VARCHAR(6) DEFAULT NULL, enabled TINYINT(1) NOT NULL, days_not_picked_up INT DEFAULT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_rules_templates (id INT AUTO_INCREMENT NOT NULL, template_id INT NOT NULL, rule_id INT NOT NULL, position INT NOT NULL, INDEX IDX_37FB6BF5DA0FB8 (template_id), INDEX IDX_37FB6BF744E0351 (rule_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_templates (id INT AUTO_INCREMENT NOT NULL, media VARCHAR(255) DEFAULT NULL, layout VARCHAR(25) NOT NULL, name VARCHAR(255) NOT NULL, channel VARCHAR(10) NOT NULL, text LONGTEXT NOT NULL, button_label VARCHAR(255) DEFAULT NULL, button_url VARCHAR(255) DEFAULT NULL, status VARCHAR(255) NOT NULL, provider_id CHAR(36) NOT NULL COMMENT '(DC2Type:uuid)', UNIQUE INDEX UNIQ_FAB48C01A53A8AA (provider_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_tracking (id INT AUTO_INCREMENT NOT NULL, order_id INT NOT NULL, tracking_number VARCHAR(32) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "CREATE TABLE IF NOT EXISTS " . _DB_PREFIX_ . "connectix_order_token (id INT AUTO_INCREMENT NOT NULL, order_id INT NOT NULL, token VARCHAR(32) NOT NULL, status VARCHAR(10) DEFAULT NULL, created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, used TINYINT(1) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_general_ci` ENGINE = "._MYSQL_ENGINE_.";";

$queries[] = "ALTER TABLE " . _DB_PREFIX_ . "connectix_message_inbounds ADD CONSTRAINT FK_CEBA6A1C537A1329 FOREIGN KEY (message_id) REFERENCES " . _DB_PREFIX_ . "connectix_messages (id) ON DELETE CASCADE;";

$queries[] = "ALTER TABLE " . _DB_PREFIX_ . "connectix_rules_templates ADD CONSTRAINT FK_37FB6BF5DA0FB8 FOREIGN KEY (template_id) REFERENCES " . _DB_PREFIX_ . "connectix_templates (id) ON DELETE CASCADE;";

$queries[] = "ALTER TABLE " . _DB_PREFIX_ . "connectix_rules_templates ADD CONSTRAINT FK_37FB6BF744E0351 FOREIGN KEY (rule_id) REFERENCES " . _DB_PREFIX_ . "connectix_rules (id) ON DELETE CASCADE;";
