<?php

namespace Connectix\Components;

use Connectix\Exception\RequiredValueException;

final class Blacklist extends BaseComponent
{
	/**
	 * @var string|null
	 */
	protected $phone;

	/**
	 * @inheritDoc
	 */
	public function getRequiredFields()
	{
		return ['phone'];
	}

	/**
	 * @return string[]
	 * @throws RequiredValueException
	 */
	public function toArray()
	{
		parent::validate();

		return [
			'phone' => $this->getPhone(),
		];
	}

	/**
	 * @inheritDoc
	 */
	public function toJson()
	{
		if ($data = json_encode($this->toArray())) {
			return $data;
		}

		return '';
	}

	/**
	 * @return string|null
	 */
	public function getPhone()
	{
		return $this->phone;
	}

	/**
	 * @param string $phone
	 * @return Blacklist
	 */
	public function setPhone($phone)
	{
		$this->phone = $phone;

		return $this;
	}
}
